import { Meta, MetaModule, MetaVariable, MetaParameter, MetaFunction, IMetaRenderer, ICategory } from '../../meta-api/module.js';
export declare class TypeScriptMetaRenderer implements IMetaRenderer {
    disposeToolboxEntry(entry: ICategory): void;
    renderToolboxEntry(mod: MetaModule, whitelist: any[]): {
        name: string;
        id: string;
        colour: string;
        definitionFile: string | null;
    };
    static render(m: Meta): string | null;
    static renderModule(m: MetaModule): string;
    static renderVariable(m: MetaVariable): string;
    static renderParam(param: MetaParameter): string;
    static renderFunction(m: MetaFunction): string;
    static parseType(type: any): any;
}
export default TypeScriptMetaRenderer;
